## mscim-hangul 0.3.2-1maemo2

=== debian/changelog ===
mscim-hangul (0.3.2-1maemo2) fremantle; urgency=low

  * Fix compiling errors
  * Change UI for mscim

 -- Evan JIANG <firstfan@gmail.com>  Fri, 05 Feb 2010 16:34:00 +0800

mscim-hangul (0.3.2-1maemo1) fremantle; urgency=low

  * Initial release

 -- Alsor Zhou <alsor.zhou@gmail.com>  Wed, 30 Dec 2009 14:26:38 +0800
