=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

# set the platform for configure script, especially useful for cross-compiling
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_HOST_GNU_TYPE), $(DEB_BUILD_GNU_TYPE))
	CONFFLAGS += --build=$(DEB_BUILD_GNU_TYPE)
else
	CONFFLAGS += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif
# for more information, see /usr/share/doc/autotools-dev/README.Debian.gz

# set compiler flags, enable warning and debug
CFLAGS += -W -g
CXXFLAGS += -W -g
# set optimization level
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O
	CXXFLAGS += -O
else
	CFLAGS += -O0
	CXXFLAGS += -O0
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status:
	dh_testdir
	# link config.{guess,sub} from autotools-dev package
	#ln -sf /usr/share/misc/config.guess config.guess
	#ln -sf /usr/share/misc/config.sub config.sub
	#rm -f config.cache
	# auto reconf
	./autogen.sh
	# run configure with all necessary definitions and options
	./configure \
		CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		--prefix=/usr \
		--sysconfdir=/etc \
		--disable-dependency-tracking \
		--with-maemo \
		--disable-skim-support

build: build-stamp
build-stamp: config.status
	dh_testdir
	dh_clean
	$(MAKE)
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	rm debian/tmp/usr/lib/scim-1.0/1.4.0/*/*.la
	dh_install --sourcedir=debian/tmp --fail-missing
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# only run "make clean" if a Makefile exists
	[ ! -f Makefile ] || $(MAKE) clean
	# remove existent config.{guess,sub} as we use the ones from
	# autotools-dev package
	rm -f config.guess config.sub
	dh_clean 

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_link
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary build-stamp config.status
