## mscim-hangul 0.3.2-1maemo3

=== debian/changelog ===
mscim-hangul (0.3.2-1maemo3) fremantle; urgency=low

  * Enable maemo-optify 

 -- Evan JIANG <firstfan@gmail.com>  Fri, 05 Feb 2010 17:17:00 +0800
