=== debian/control ===
Source: mscim-hangul
Section: user/system
Maintainer: Evan JIANG <firstfan@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libmscim-dev, libhangul-dev
Standards-Version: 3.7.2
Section: libs

Package: mscim-hangul
Section: user/system
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mscim
Description: Hangul input method module for MSCIM
 MSCIM = Maemo smart common input method.
 Please refer to mscim package to get more information.
