=== debian/rules ===
--- 
+++ 
@@ -95,6 +95,7 @@
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
+	maemo-optify
 	dh_md5sums -a
 	dh_builddeb -a
